
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jakarta-xml-ws-api_4.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-jakarta-xml-ws-api_4.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Jakarta XML Web Services API
Group:          Development/Java

%if %with mead
Source100: jboss-jakarta-xml-ws-api_4.0_spec-1.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-jakarta-xml-ws-api_4.0_spec-1.0.0.Final-redhat-00001-sources.jar
Source103: jboss-jakarta-xml-ws-api_4.0_spec-1.0.0.Final-redhat-00001.jar
Source104: jboss-jakarta-xml-ws-api_4.0_spec-1.0.0.Final-redhat-00001.pom
%endif

License:        BSD
URL:            https://github.com/jboss/jboss-jaspi-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Jakarta XML Web Services API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jakarta-xml-ws-api_4.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jakarta-xml-ws-api_4.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc maven-release.txt
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}.jar
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jakarta-xml-ws-api_4.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jakarta-xml-ws-api_4.0_spec-%{namedversion}
%{_javadocdir}/jboss-jakarta-xml-ws-api_4.0_spec
%endif

%changelog
* Fri Sep 09 2022 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_00001.1
-  1.0.1.Final-redhat-00001


